Skip to navigation

Retrieve a rate plan charge

View as Markdown
Retrieve the details of a specific Rate Plan Charge object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
ID of a rate plan charge.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allows you to expand responses by including related object information in a single call.
Allowed values:
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the rate plan charge.
createdByIdstringOptional
The unique identifier of the user who created the rate plan charge.
createdDatedatetimeOptional
The date and time when the rate plan charge was created.
updatedByIdstringOptional
The unique identifier of the user who last updated the rate plan charge.
updatedDatedatetimeOptional
The date and time when the rate plan charge was last updated.
ratePlanIdstringOptional
The unique identifier of the rate plan to which this rate plan charge belongs.
productRatePlanChargeIdstringOptional
The unique identifier of the product rate plan charge associated with this product rate plan charge.
accountingCodestringOptional

The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes.

Values: inherited from ProductRatePlanCharge.AccountingCode

Note: This value changes if ProductRatePlanCharge.AccountingCode is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.AccountingCode is updated.

applyDiscountTostringOptional

Specifies the type of charges a specific discount applies to.

Values: inherited from ProductRatePlanCharge.ApplyDiscountTo

billCycleDaylongOptional

Indicates the charge’s billing cycle day (BCD), which is when bill runs generate invoices for charges associated with the product rate plan charge or the account.

Values: inherited from ProductRatePlanCharge.BillCycleDay

billCycleTypestringOptional

Specifies how to determine the billing day for the charge.

Values: inherited from ProductRatePlanCharge.BillCycleType Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment.

billingPeriodstringOptional

Allows billing period to be overridden on rate plan Charge.

Values: **inherited from ProductRatePlanCharge.BillingPeriod

Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment.

billingPeriodAlignmentstringOptional

Aligns charges within the same subscription if multiple charges begin on different dates.

Values: inherited from ProductRatePlanCharge.BillingPeriodAlignment

billingTimingenumOptional

The billing timing for the charge. You can choose to bill in advance or in arrears for recurring charge types. This field is not used in one-time or usage based charge types.

Note: You can override the value inherited from the Product Rate Plan Charge when a subscription has a recurring charge type.

Allowed values:
chargedThroughDatedateOptional
The date through which a customer has been billed for the charge.
chargeModelstringOptional

Determines how to evaluate charges. Charge models must be individually activated in the web-based UI.

Values: inherited from ProductRatePlanCharge.ChargeModel

chargeNumberstringOptional

A unique number that identifies the charge. This number is returned as a string.

Values: one of the following:

  • automatically generated if left null
  • a unique number of 50 characters or fewer
chargeTypestringOptional

Specifies the type of charge.

Values: inherited from ProductRatePlanCharge.ChargeType

descriptionstringOptional
A description of the rate plan charge.
discountLevelenumOptional

Application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge.

Allowed values:
dMRCdoubleOptional

A delta monthly recurring charge is the change in monthly recurring revenue caused by an amendment or a new subscription.

Character limit: 16 Values: automatically generated

drawdownRatedoubleOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The conversion rate between Usage UOM and Drawdown UOM for a drawdown charge. Must be a positive number (>0).

dTCVdoubleOptional

After an Amendment, the change in the total contract value (TCV) amount for this charge, compared with its previous value.

Character limit: 16 Values: automatically generated

effectiveEndDatedateOptional

Start date when the rate plan charge becomes active, as yyyy-mm-dd.

effectiveStartDatedateOptional

Final date the rate plan is active, as yyyy-mm-dd.

endDateConditionenumOptional

Condition for the charge to become inactive.

  • If the value of this field is FixedPeriod, the charge is active for a predefined duration based on the value of the upToPeriodsType and upToPeriods fields.

  • If the value of this field is SpecificEndDate, use the specificEndDate field to specify the date when the charge becomes inactive.

Allowed values:
estimatedStartDatedateOptional

The estimated start date of the pending charge in an active subscription.

The value must be a date within the subscription term. The system will then automatically calculate the estimated end date for the pending charge. The estimated start and end dates are used to manage the estimated charge duration and forecast the revenue for the pending charge.

Note: This field is available only when the Pending Subscription Processing feature is turned on.

estimatedEndDatedateOptional

The estimated end date of the pending charge in an active subscription.

The system automatically calculates the estimated end date for the pending charge. The estimated start and end dates are used to manage the estimated charge duration and forecast the revenue for the pending charge.

Note: This field is available only when the Pending Subscription Processing feature is turned on.

excludeItemBillingFromRevenueAccountingbooleanOptionalDefaults to false

The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting.

If both the following features are enabled in your tenant, you must ensure the excludeItemBillingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. In addition, if the excludeItemBookingFromRevenueAccounting field in an Create Subscription or Add Product order action is set to false, you must also set the excludeItemBillingFromRevenueAccounting field in this order action to false.

  • Prepaid with Drawdown
  • Unbilled Usage

Note: This field is only available if you have the Order to Revenue or Zuora Billing - Revenue Integration feature enabled.

excludeItemBookingFromRevenueAccountingbooleanOptionalDefaults to false

The flag to exclude rate plan charges from revenue accounting.

If both the following features are enabled in your tenant, you must ensure the excludeItemBookingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge.

  • Prepaid with Drawdown
  • Unbilled Usage

Note: This field is only available if you have the Order to Revenue or Zuora Billing - Revenue Integration feature enabled.

invoiceScheduleIdstringOptional
The unique identifier of the invoice schedule associated with the subscription.
isLastSegmentbooleanOptional

Indicates if the segment of the rate plan charge is the most recent segment.

Character limit: 5 Values: automatically generated.

isPrepaidbooleanOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Indicates whether this charge is a prepayment (topup) charge or a drawdown charge.

isRolloverbooleanOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

It determines whether the rollover fields are needed.

rolloverPeriodslongOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

This field defines the number of rollover periods, it is restricted to 3.

rolloverPeriodLengthinteger or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Use this field when you want to set the rollover fund’s period length shorter than the prepayment charge’s validity period. In this case, you must set the rolloverPeriods field to 1. For example, you can define the rollover fund’s period length as 5 months, shorter than the prepayment charge’s validity period: a year.

rolloverApplyenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

This field defines the priority of rollover, which is either first or last.

Allowed values:
isProcessedbooleanOptional
Indicates whether the rate plan charge has been processed.
listPriceBaseenumOptional
The list price base for the product rate plan charge.
Allowed values:
specificListPriceBaseinteger or nullOptional1-200

The number of months for the list price base of the charge. This field is required if you set the value of the ListPriceBase field to Per Specific Months.

Notes:

  • This field is available only if you have the Annual List Price feature enabled.
  • The value of this field is null if you do not set the value of the ListPriceBase field to Per Specific Months.
priceUpsellQuantityStackedbooleanOptional
commitmentTypeenumOptional

Note: This field is only available if you have the Unbilled Usage feature enabled.

To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs.

This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created.

  • If UNIT, it will create a fund with given prepaidUom.
  • If CURRENCY, it will create a fund with the currency amount calculated in list price.

For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges.

Allowed values:
isCommittedbooleanOptional
Indicates whether the rate plan charge is commited.
mRRdoubleOptional

Monthly recurring revenue (MRR) is the amount of recurring charges in a given month. The MRR calculation doesn’t include one-time charges nor usage charges.

Character limit: 16 Values: automatically generated

namestringOptional

The name of the rate plan charge.

Character limit: 100 Values: automatically generated

numberOfPeriodslongOptional

Specifies the number of periods to use when calculating charges in an overage smoothing charge model.

Character limit: 5 Values: inherited from ProductRatePlanCharge.NumberOfPeriod

originalIdstringOptional

The original ID of the rate plan charge.

Character limit: 32 Values: automatically generated

overageCalculationOptionstringOptional

Determines when to calculate overage charges. If the value of the SmoothingMode field is null (not specified and not inherited from ProductRatePlanCharge.SmoothingMode), the value of this field is ignored.

Character limit: 20 Values: inherited from ProductRatePlanCharge.OverageCalculationOption

overageUnusedUnitsCreditOptionstringOptional

Determines whether to credit the customer with unused units of usage.

Character limit: 20 Values: inherited from ProductRatePlanCharge.OverageUnusedUnitsCreditOption

prepaidOperationTypeenum or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The type of this charge. It is either a prepayment (topup) charge or a drawdown charge.

Allowed values:
prepaidQuantitydouble or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The number of units included in a prepayment charge. Must be a positive number (>0).

prepaidTotalQuantitydouble or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The total amount of units that end customers can use during a validity period when they subscribe to a prepayment charge.

priceChangeOptionstringOptional

Applies an automatic price change when a termed subscription is renewed.

Values: one of the following:

  • NoChange (default)
  • SpecificPercentageValue
  • UseLatestProductCatalogPricing
priceIncreasePercentagedoubleOptional

Specifies the percentage to increase or decrease the price of renewed subscriptions.

Character limit: 16 Values: a decimal value between -100 and 100

processedThroughDatedateOptional

The date until when charges have been processed. When billing in arrears, such as usage, this field value is the the same as the ChargedThroughDate value. This date is the earliest date when a charge can be amended.

Character limit: 29 Values: automatically generated

prorationOptionstringOptional
Determines how to prorate charges when a subscription is created or amended.
quantitydoubleOptional

The default quantity of units, such as the number of authors in a hosted wiki service. Valid for all charge models except for Flat Fee pricing.

Character limit: 16 Values: a valid quantity value

numberOfDeliveriesdoubleOptional

Number of deliveries in the billing period for the charge segment.

The numberOfDeliveries is used for the Delivery Pricing charge model only.

Note: The Delivery Pricing charge model is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Enable billing features by yourself in the Knowledge Center. You can check Delivery Pricing in Billing Settings > Enable Charge Types / Models.

ratingGroupenumOptional

A rating group based on which usage records are rated. Only applicable to Usage charges.

Possible values:

  • ByBillingPeriod: The rating is based on all the usages in a billing period.
  • ByUsageStartDate: The rating is based on all the usages on the same usage start date.
  • ByUsageRecord: The rating is based on each usage record.
  • ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv).
  • ByGroupId: The rating is based on all the usages in a custom group.

For more information, see Usage rating by group.

Allowed values:
revenueRecognitionRuleNamestringOptional

Specifies the Revenue Recognition Rule that you want the Rate Plan Charge to use. This field can be updated when Status is Draft. By default, the Revenue Recognition Rule is inherited from the Product Rate Plan Charge. For Amend calls, you can use this field only for NewProduct amendments. For Update calls, you can use this field only to update subscriptions in draft status. Note that if you use this field to specify a Revenue Recognition Rule for the Rate Plan Charge, the rule will remain as specified even if you later change the rule used by the corresponding Product Rate Plan Charge.

Character limit: n/a Values: inherited from ProductRatePlanCharge.RevenueRecognitionRuleName or the name of an active Revenue Recognition Rule

Note: Unless overridden, this value changes if ProductRatePlanCharge.RevenueRecognitionRuleName is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevenueRecognitionRuleName is updated.

revenueRecognitionTimingenumOptional

Specifies the type of revenue recognition timing.

Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI.

Note: This field is only available if you have the Order to Revenue feature enabled.

Allowed values:
revenueAmortizationMethodenumOptional

Specifies the type of revenue amortization method.

Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI.

Note: This field is only available if you have the Order to Revenue feature enabled.

Allowed values:
revRecCodestringOptional

Associates this product rate plan charge with a specific revenue recognition code.

Character limit: 70 Values: inherited from ProductRatePlanCharge.RevRecCode or a valid revenue recognition code

Note: Unless overridden, this value changes if ProductRatePlanCharge.RevRecCode is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevRecCode is updated.

revRecTriggerConditionstringOptional

Specifies when revenue recognition begins.

Character limit: 22 Values: inherited from ProductRatePlanCharge.RevRecTriggerCondition or one of the following:

  • ContractEffectiveDate
  • ServiceActivationDate
  • CustomerAcceptanceDate

Note: Unless overridden, this value changes if ProductRatePlanCharge.RevRecTriggerCondition is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevRecTriggerCondition is updated. ”

segmentintegerOptional

The identifying number of the subscription rate plan segment. Segments are numbered sequentially, starting with 1.

Character limit: 2 Values: automatically generated

specificBillingPeriodlongOptional

Customizes the number of months or weeks for the charges billing period. This field is required if you set the value of the BillingPeriod field to Specific Months or Specific Weeks.

Character limit: 5 Values: inherited from ProductRatePlanCharge.BillingPeriod

Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment.

specificEndDatedateOptional

The specific date on which the charge ends, in yyyy-mm-dd format.

Character limit: 29

Note:

  • This field is only applicable when the EndDateCondition field is set to SpecificEndDate.
  • If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date.
tCVdoubleOptional

The total contract value (TCV) is the value of a single rate plan charge in a subscription over the lifetime of the subscription. This value does not represent all charges on the subscription. The TCV includes recurring charges and one-time charges, but it doesn’t include usage charge.

Character limit: 16 Values: automatically generated

triggerDatedateOptional

The date when the charge becomes effective and billing begins, in yyyy-mm-dd format. This field is required if the TriggerEvent field value is SpecificDate.

Character limit: 29

triggerEventstringOptional

Specifies when to start billing the customer for the charge. **Note: **This field can be passed through the Subscribe and Amend calls and will override the default value set on the Product Rate Plan Charge.

Character limit: 18 Values: inherited from ProductRatePlanCharge.TriggerEvent and can be one of the following values:

  • ContractEffective is the date when the subscription’s contract goes into effect and the charge is ready to be billed.
  • ServiceActivation is when the services or products for a subscription have been activated and the customers have access.
  • CustomerAcceptance is when the customer accepts the services or products for a subscription.
  • SpecificDate is valid only on the RatePlanCharge.
uOMstringOptional

Specifies the units to measure usage.

Character limit: 25 Values: inherited from ProductRatePlanCharge.UOM

upToPeriodslongOptional

Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends.

Character limit: 5

Values: inherited from ProductRatePlanCharge.UpToPeriods Note:

  • You must use this field together with the UpToPeriodsType field to specify the time period. This field is only applicable only when the EndDateCondition field is set to FixedPeriod.
  • You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment.
  • Use this field to override the value in ProductRatePlanCharge.UpToPeriod.
  • If you override the value in this field, enter a whole number between 0 and 65535, exclusive.
  • If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end.
upToPeriodsTypeenumOptionalDefaults to Billing Periods

The period type used to define when the charge ends. This field can be updated when Status is Draft.

Note:

  • You must use this field together with the UpToPeriods field to specify the time period.
  • This field is only applicable only when the EndDateCondition field is set to FixedPeriod.
Allowed values:
versionlongOptional

The version of the rate plan charge. Each time a charge is amended, Zuora creates a new version of the rate plan charge.

Character limit: 5 Values: automatically generated.

weeklyBillCycleDayenumOptional

Specifies which day of the week as the bill cycle day (BCD) for the charge.

subscriptionIdstringOptional
The unique identifier of the subscription to which the rate plan charge belongs.
subscriptionOwnerIdstringOptional
ID of the account that owns the subscription.
invoiceOwnerIdstringOptional
ID of the account that will pay the billing documents for the subscription.
originalOrderDatedateOptional
The date when the rate plan charge is created through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sales order line in Zuora Revenue.
amendedByOrderOndateOptional
The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue.
validityPeriodTypeenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The period in which the prepayment units are valid to use as defined in a prepayment charge.

Allowed values:
creditOptionenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The way to calculate credit. See Credit Option for more information.

Allowed values:
applyToBillingPeriodPartiallybooleanOptional

Allow the discount duration to be aligned with the billing period partially.

Note: You must enable the Enhanced Discounts feature to access this field.

productChargeDefinitionIdstringOptional
The unique ID of the product charge definition.
accountReceivableAccountingCodeIdstringOptional

ID of the accountReceivableAccountingCode of a standalone charge.

Note: This field is available when the Standalone Orders, Zuora Finance, and Invoice Settlement features are enabled.

deferredRevenueAccountingCodeIdstringOptional

ID of the deferredRevenueAccountingCode of a standalone charge.

Note: This field is available when the Standalone Orders and Zuora Finance features are enabled.

recognizedRevenueAccountingCodeIdstringOptional

ID of the recognizedRevenueAccountingCode of a standalone charge.

Note: This field is available when the Standalone Orders and Zuora Finance features are enabled.

prepaidUOMstringOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Unit of measurement for a prepayment charge.

drawdownUomstringOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Unit of measurement for a drawdown charge.

salesPricedoubleOptional

The sales price associated with the rate plan charge expressed as a decimal.

Notes:

  • This field is only available to subscriptions that are created through orders and exist after 2023-01-10.
  • This field applies to the following charge models, and the values vary with the charge models:
    • Flat fee: the value equals the value of the price field.
    • Per unit: the value equals price multiplied by quantity.
    • Fixed amount discount: the value equals the value of the discountAmount field.
    • Volume: The calculation of the tier price is dependent on whether the price format is the flat fee or per unit.
    • Tiered: The calculation of the tier price is dependent on whether the price format is the flat fee or per unit.
taxablebooleanOptional
Indicates whether the rate plan charge is taxable.
revertedbooleanOptional
Indicates whether the rate plan charge has been reverted.
reflectDiscountInNetAmountbooleanOptional
Indicates whether the discount is reflected in the net amount.
ratePlanobjectOptional
productRatePlanChargeobjectOptional

Errors

4XX
Client Request Error
500
Internal Server Error